Mint a payment mandate after passkey ceremony
curl --request POST \
--url https://api.getovra.com/v1/mandates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"constraints": {
"maxAmountPerTransactionCents": 2,
"maxAmountPerDayCents": 2,
"maxAmountPerMonthCents": 2,
"maxTotalAmountCents": 2,
"maxUsageCount": 2,
"allowedMccs": [
"<string>"
],
"allowedMerchants": [
"<string>"
],
"allowedCountries": [
"<string>"
]
},
"challenge_id": "<string>",
"assertion": {}
}
'import requests
url = "https://api.getovra.com/v1/mandates"
payload = {
"agent_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"constraints": {
"maxAmountPerTransactionCents": 2,
"maxAmountPerDayCents": 2,
"maxAmountPerMonthCents": 2,
"maxTotalAmountCents": 2,
"maxUsageCount": 2,
"allowedMccs": ["<string>"],
"allowedMerchants": ["<string>"],
"allowedCountries": ["<string>"]
},
"challenge_id": "<string>",
"assertion": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '<string>',
expires_at: '2023-11-07T05:31:56Z',
constraints: {
maxAmountPerTransactionCents: 2,
maxAmountPerDayCents: 2,
maxAmountPerMonthCents: 2,
maxTotalAmountCents: 2,
maxUsageCount: 2,
allowedMccs: ['<string>'],
allowedMerchants: ['<string>'],
allowedCountries: ['<string>']
},
challenge_id: '<string>',
assertion: {}
})
};
fetch('https://api.getovra.com/v1/mandates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Mandates
Mint a payment mandate after passkey ceremony
Verifies the WebAuthn assertion (bound to (agent, constraints, expires_at)
via /options), inserts an active mandate row, fires audit event.
POST
/
v1
/
mandates
Mint a payment mandate after passkey ceremony
Authorizations
API key (sk_sandbox_* / sk_test_* / sk_live_*) or Agent token (at_* / at_dlg_*)
Body
application/json
Response
Mandate minted
⌘I
